Issue 13853

Summary: Chart: Data table not supported
Product: Calc Reporter: jwitt <j-witt>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: daniel.rentz, erwin.tenhumberg, issues, jr, kozodaevroman, oooforum, robbin.knapp
Version: OOo 1.0.3Keywords: ms_interoperability, rfe_eval_ok
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
This zip file contains a part of the original excel file and 2 gif-screenshots none

Description jwitt 2003-04-26 21:14:15 UTC
Hello developers, I have been using Staroffice 5.2 for some years now and I am
quit happy with it. Sometimes I still have to use MS Office. I have imported an
Excel file with some charts in the newest version of OpenOffice (1.0.3) and the
result was so bad that I have to write this - hoping this can be improved. The
charts look absolutely different from the original and when I try to save as an
OpenOffice file the size rises from 205kb to 3,3MB (normaly it's the other
ways). I will attach a little part of the original excel file and two
screenshots which show more than a lot of words.

Greetings
J.Witt
Comment 1 jwitt 2003-04-26 21:24:41 UTC
Created attachment 5912 [details]
This zip file contains a part of the original excel file and 2 gif-screenshots
Comment 2 john.marmion 2003-04-28 13:51:02 UTC
The difference in appearance comes down to two issues:
a. Excel Legend appears at bottom while Calc displays it to the 
right. Excel allows different placement Legend locations with right 
as default. 
b. Excel has the ability to display data table. The default is that 
this is disabled. Calc does not display the data table.

Once these two are changed, then the differences dissappear.

The workaround is to simply store the Excel Chart with its default 
values thereby ensuring consistency. I need to also check if these 
are part of the new Chart. 
Comment 3 john.marmion 2003-05-06 15:32:25 UTC
ok. I believe I may have a handle on this thanks to Daniel. We know 
that Calc does not suppport Excel Chart data tables. If this is 
cleared from the Chart then the Legend will appear in the correct 
position if it has been auto positioned in one of the 4 supported 
postions viz left/right/top/bottom. As the data table itself contains 
a legend, then this overrides the earlier legend details. Thus Calc 
positions the legend in the default position of 'right'. 

The simple workaround is to clear the data table in Excel. We have to 
decide whether to fix this now or wait until we support data tables.
Comment 4 john.marmion 2003-05-06 15:33:52 UTC
accept issue
Comment 5 jwitt 2003-05-06 15:50:58 UTC
Thank you for your reply. I personally would like to see OO supporting
data tables. I think it's a nice feature. I also think that people's
acceptance for swapping to OO will rise if the ability to import MS
documents will improve.
Comment 6 john.marmion 2003-05-22 12:13:52 UTC
changing this to an enhancement request for support of data tables in 
Calc Chart.
Comment 7 utomo99 2003-11-17 07:48:29 UTC
Hi, 

I found that this issue is already started but have no target. 
Please consider to set the target, as it is already started.
Thanks
Comment 8 frank 2003-11-17 09:38:28 UTC
set the target
Comment 9 john.marmion 2004-01-26 17:54:49 UTC
set the priority.
Comment 10 john.marmion 2004-02-06 17:42:53 UTC
reset the target
Comment 11 erwin.tenhumberg 2004-10-27 16:40:14 UTC
enhanced summary, set keywords and reassigned issue according to RFE process
Comment 12 frank 2004-10-28 08:37:18 UTC
Hi Dancer,

never touch an Issue assigned to a developer. Such Issues are worked on
especially if the have the staus started.

Frank
Comment 13 frank 2004-10-28 08:37:35 UTC
reset started
Comment 14 rafaelda 2005-02-11 05:07:30 UTC
I was hoping that this would be fixed sooner.
Comment 15 daniel.rentz 2005-04-20 10:17:21 UTC
Taking over. Remaining issue is the missing data table.
Comment 16 daniel.rentz 2005-04-20 10:54:57 UTC
DR->IHA: This issue for implementation of the data table.
Comment 17 IngridvdM 2005-04-21 09:54:55 UTC
accepted
Comment 18 daniel.rentz 2005-04-21 11:44:38 UTC
DR->IHA: After fixed, please back to me for additions in the Excel filters.
Comment 19 jr 2007-06-27 21:09:10 UTC
Are there any plans for data tables in the new chart-implementation?
Comment 20 IngridvdM 2007-07-13 13:38:04 UTC
No.
Comment 21 robbk 2008-06-11 12:42:54 UTC
One of our users uses data tables in Excel charts extremely profusely. These
charts are embedded as Excel objects into Word documents, and other users modify
the data directly in the Word documents. Opening the Excel file in Calc produces
a completely grey rectangle instead of a nice chart with a data table as a
legend. Opening the Word document in Writer produces something that looks OK,
but when you double-click the chart, Excel opens instead of the default Calc,
which won't work on workstations where MS Office isn't installed. We're having a
hard time convincing these users that they don't need MS Office. It's been over
5 years since this issue was opened. Any chance of getting some target milestone
besides "OOo Later"? Yes, I realize you guys are busy :-)
Comment 22 IngridvdM 2008-07-22 14:21:26 UTC
reset to new
Comment 23 robbk 2009-01-19 07:46:29 UTC
Hi, Any activity on this issue? Thanks.
Comment 24 robbk 2009-06-08 14:08:04 UTC
Tested in OOo 3.1. Issue still occurs.
Comment 25 robbk 2010-03-24 14:59:28 UTC
Any chance of setting a definite Target milestone?
Comment 26 pmike 2010-07-01 11:11:50 UTC
Now issue 107070 is fixed, and it is possible to copy cell range from sheet on
chart. So, it might be quite easy to implement data table feature.
Comment 27 IngridvdM 2011-03-07 15:29:57 UTC
*** Issue 116720 has been marked as a duplicate of this issue. ***